## dput-ng 1.28

=== debian/changelog ===
dput-ng (1.28) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Add missing dependency on build-essential.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 19 Jul 2019 08:08:52 +0200

dput-ng (1.27) unstable; urgency=medium

  * Team upload.
  * tests: Log dpkg-buildpackage output in case of failure.
  * autopkgtest: Allow stderr in the output.
  * Build-Depends and Test-Depends on python3-coverage.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 19 Jul 2019 01:51:51 +0200

dput-ng (1.26) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * autopkgtest: Add missing test dependencies.
  * d/control: Bump Standards-Version to 4.4.0, no changes needed.

  [ Kunal Mehta ]
  * Add buster-backports and stretch-backports-sloppy.  MR: !7

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 18 Jul 2019 16:09:25 +0200

=== debian/control ===
Source: dput-ng
Section: devel
Priority: optional
Maintainer: dput-ng Maintainers <dput-ng@packages.debian.org>
Uploaders:
 Arno Töll <arno@debian.org>,
 Paul Tagliamonte <paultag@debian.org>,
Build-Depends:
 asciidoc,
 bash-completion (>= 1:2.1-4.2),
 debhelper-compat (= 12),
 dh-python,
 docbook-xml,
 docbook-xsl,
 docbook-xsl-ns,
 libxml2-utils,
 python3-all,
 python3-coverage,
 python3-debian,
 python3-distro-info,
 python3-distutils,
 python3-nose,
 python3-paramiko,
 python3-setuptools,
 python3-sphinx,
 python3-validictory,
 xsltproc,
Standards-Version: 4.4.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/dput-ng
Vcs-Git: https://salsa.debian.org/debian/dput-ng.git
Homepage: https://debian.pages.debian.net/dput-ng

Package: dput-ng
Architecture: all
Conflicts:
 dput,
Replaces:
 dput,
Provides:
 dput,
Depends:
 python3-dput (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 dput-ng-doc,
 python3-twitter,
Description: next generation Debian package upload tool
 dput-ng is a Debian package upload tool which provides an easy to use
 interface to Debian (like) package archive hosting facilities. It allows
 anyone who works with Debian packages to upload their work to a remote
 service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
 package hosting facilities for Debian package maintainers.
 .
 dput-ng features many enhancements over dput, such as more comprehensive
 checks, an easy to use plugin system, and code designed to handle the numerous
 archives that any Debian package hacker will interact with.
 .
 dput-ng aims to be backwards compatible with dput in command-line flags,
 configuration files, and expected behavior.

Package: python3-dput
Architecture: all
Section: python
Depends:
 gnupg,
 python3-debian,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 debian-keyring,
 lintian,
 openssh-client,
 python3-distro-info,
 python3-paramiko,
 python3-validictory,
Description: next generation Debian package upload tool (Python 3 library)
 dput-ng is a Debian package upload tool which provides an easy to use
 interface to Debian (like) package archive hosting facilities. It allows
 anyone who works with Debian packages to upload their work to a remote
 service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
 package hosting facilities for Debian package maintainers.
 .
 This package provides Python library functions providing core functionality to
 dput-ng and tools building on top of that. This library provides upload
 classes, profile parser, sanity checks and helper functions required to build
 a dput service.
 .
 The recommended package python3-paramiko is needed to upload via SSH.

Package: dput-ng-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: next generation Debian package upload tool (documentation)
 dput-ng is a Debian package upload tool which provides an easy to use
 interface to Debian (like) package archive hosting facilities. It allows
 anyone who works with Debian packages to upload their work to a remote
 service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
 package hosting facilities for Debian package maintainers.
 .
 This package provides exhaustive user documentation, developer API docu-
 mentation and command interface documentation.

## dput-ng 1.29

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -W -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dput.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dput.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dput"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dput"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
dput-ng (1.29) unstable; urgency=medium

  * Team upload

  [ Joao Eriberto Mota Filho ]
  * Added an example of 'dcut cancel' command to the manpage.  MR: !8

  [ Mattia Rizzolo ]
  * Use the mtime instead of the ctime to decide on the latest .changes file.
  * Properly error out if running without any argument but no .changes is
    found in the current directory.
  * Covert an internal script to Python3 as well.
  * Bump Standards-Version to 4.4.1, no changes needed.

  [ Philippe Pepiot ]
  * Fix a TypeError in http upload exception handling.  MR: !9

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 13 Jan 2020 10:58:47 +0100

=== tests/fake_package/fake-package-1.1/debian/changelog ===
fnord (1.1) bionic; urgency=medium

  * Do some maintenance..

 -- Winston Smith <wsmith@bigbrother.com>  Mon, 26 Nov 2012 17:41:41 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-sphinx,
  python3-validictory,
  xsltproc,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dput-ng
 Vcs-Git: https://salsa.debian.org/debian/dput-ng.git

=== debian/tests/control ===
Test-Command: cp -rv setup.cfg skel tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && nosetests3 -v
Depends:
 build-essential,
 debhelper,
 python3-coverage,
 python3-distro-info,
 python3-nose,
 python3-validictory,
 @,
Restrictions: allow-stderr

## dput-ng 1.30

=== debian/changelog ===
dput-ng (1.30) unstable; urgency=medium

  * Team upload.
  * Fix crash in the sftp uploader in case of EACCES from the server
    Closes: #953357
  * tests:
    + Properly fail the tests when the package fails to build.
    + Carry over PATH to the dpkg-buildpackage process.  Closes: #963322
  * d/control:
    + Bump debhelper compat level to 13.
    + Bump Standards-Version to 4.5.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 23 Jul 2020 16:12:01 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  asciidoc,
  bash-completion (>= 1:2.1-4.2),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  docbook-xml,
  docbook-xsl,
@@ -25,7 +25,7 @@
  python3-sphinx,
  python3-validictory,
  xsltproc,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dput-ng
 Vcs-Git: https://salsa.debian.org/debian/dput-ng.git

## dput-ng 1.31+ftps0gitd9d2af1~ab~BULLSEYE+1

=== debian/changelog ===
dput-ng (1.31+ftps0gitd9d2af1~ab~BULLSEYE+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    ecb4fbd41d898792fc3a8ef02d54bad077bddee8.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Tue, 19 Jan 2021 18:13:27 +0100

dput-ng (1.31+ftps0gitd9d2af1~ab~SID+1) sid-ab-unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Fix typo in an error message.

  [ Ansgar ]
  * profile.py: use raw string for regular expression, fixes DeprecationWarning.

  [ Mathieu Parent ]
  * Fix HTTP username/password handling.

  [ Mattia Rizzolo ]
  * Update codenames:
    + Drop squeeze*, wheezy* and jessie-backports*.
    + Add bullseye-backports, buster-backports-sloppy.
    + Add bookworm, bookworm-proposed-updates, bookworm-security.
  * Bump Standards-Version to 4.5.1, no changes needed.

  [ Stephan Sürken ]
  * [672df6b] Support ftps (not sftp) upload method.
  * [d9d2af1] uploaders/ftps.py (FtpsUploader): Add class docs.

 -- Stephan Sürken <absurd@debian.org>  Tue, 19 Jan 2021 18:00:30 +0100

dput-ng (1.31) unstable; urgency=medium

  * Team upload.
  * Drop duplicated NoSuchConfigError object in the sphinx config.
    Closes: #971220

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 30 Sep 2020 15:23:55 +0200

## dput-ng 1.31+ftps0gitd9d2af1~ab10+1

=== debian/changelog ===
dput-ng (1.31+ftps0gitd9d2af1~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    ecb4fbd41d898792fc3a8ef02d54bad077bddee8.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Tue, 19 Jan 2021 18:13:33 +0100

## dput-ng 1.32

=== debian/changelog ===
dput-ng (1.32) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Fix typo in an error message.  MR: !10

  [ Ansgar ]
  * profile.py:
    + Use raw string for regular expression, fixes DeprecationWarning.  MR: !11

  [ Mathieu Parent ]
  * Fix HTTP username/password handling.  MR: !12; MR: !13

  [ Mattia Rizzolo ]
  * Update codenames:
    + Drop squeeze*, wheezy* and jessie-backports*.
    + Add bullseye-backports, buster-backports-sloppy.
    + Add bookworm, bookworm-proposed-updates, bookworm-security.
  * Bump Standards-Version to 4.5.1, no changes needed.

  [ Stephan Sürken ]
  * Add a new "ftps" (!= "sftp"!) uploader.  Closes: #980735; MR: !14

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Jan 2021 13:01:08 +0100

## dput-ng 1.33

=== requirements.txt ===
validictory
nose
paramiko
sphinx
coverage
# You also need python-debian, which isn't in pypi.

=== debian/changelog ===
dput-ng (1.33) unstable; urgency=medium

  * Team upload.

  [ nicoo ]
  * Make `dcut dm` also accept non-uploading DDs, since they are nowadays
    treated the same as DMs when concerning upload permissions.
    Closes: #985618; MR: !16

  [ Dominic Hargreaves ]
  * In dak-commands files, don't try and construct uploader email from system
    hostname, instead skip the whole Uploader field, since it's optional
    anyway.  Closes: #984466; MR: !15

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 23 Mar 2021 18:40:01 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-sphinx,
  python3-validictory,
  xsltproc,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dput-ng
 Vcs-Git: https://salsa.debian.org/debian/dput-ng.git

## dput-ng 1.34

=== debian/changelog ===
dput-ng (1.34) unstable; urgency=medium

  * Team upload.

  [ Philippe Pepiot ]
  * Fix a possible NameError.  MR: !17

  [ Sandro Tosi ]
  * twitter example hook:
    + Increase max tweet length to 280.
    + Prevent posting more than one tweet per upload.

  [ Jochen Sprickerhof ]
  * Switch to jsonschema as validictory is deprecated. Closes: #1002403; MR: !19

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Dec 2021 13:03:56 +0100

=== tests/fake_package/fake-package-1.0/debian/changelog ===
fnord (1.0) focal; urgency=low

  * Initial release (Closes: #691624) (LP: #12345)

 -- Winston Smith <wsmith@bigbrother.com>  Mon, 26 Nov 2012 17:41:41 +0100

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
  python3-paramiko,
  python3-setuptools,
  python3-sphinx,
- python3-validictory,
+ python3-jsonschema,
  xsltproc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dput-ng
 Vcs-Git: https://salsa.debian.org/debian/dput-ng.git
@@ -74,7 +74,7 @@
  openssh-client,
  python3-distro-info,
  python3-paramiko,
- python3-validictory,
+ python3-jsonschema,
 Description: next generation Debian package upload tool (Python 3 library)
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,6 @@
  python3-coverage,
  python3-distro-info,
  python3-nose,
- python3-validictory,
+ python3-jsonschema,
  @,
 Restrictions: allow-stderr

## dput-ng 1.35

=== debian/changelog ===
dput-ng (1.35) unstable; urgency=medium

  [ Stefano Rivera ]
  * Support OpenSSH 9.0 by forcing the scp protocol when uploading with scp.
    Closes: #1011063; MR: !20

  [ Thibault Pey ]
  * Support renaming files in the local uploader.  MR: !21

  [ Mattia Rizzolo ]
  * Run the tests with pytest instead of nose.  Closes: #1018346

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Aug 2022 11:41:49 +0200

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,11 @@
  python3-debian,
  python3-distro-info,
  python3-distutils,
- python3-nose,
+ python3-jsonschema,
  python3-paramiko,
+ python3-pytest,
  python3-setuptools,
  python3-sphinx,
- python3-jsonschema,
  xsltproc,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
@@ -73,8 +73,8 @@
  lintian,
  openssh-client,
  python3-distro-info,
+ python3-jsonschema,
  python3-paramiko,
- python3-jsonschema,
 Description: next generation Debian package upload tool (Python 3 library)
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows

## dput-ng 1.35+deb12u1

=== debian/changelog ===
dput-ng (1.35+deb12u1) bookworm; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Update codenames of allowed upload targets.  Closes: #1051142
    Add bookworm-backports, bullseye-backports-sloppy, and trixie.

  [ Gianfranco Costamagna ]
  * Fix FTBFS due to time bomb, move from bionic to jammy in test fixtures,
    also postpone another time bomb due to focal.  Closes: #1042271

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Sep 2023 18:26:54 +0530

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dput-ng
-Vcs-Git: https://salsa.debian.org/debian/dput-ng.git
+Vcs-Git: https://salsa.debian.org/debian/dput-ng.git -b bookworm
 Homepage: https://debian.pages.debian.net/dput-ng
 
 Package: dput-ng

## dput-ng 1.37

=== debian/changelog ===
dput-ng (1.37) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * Also update another fake-package-1.0 from focal to jammy, this is another
    test that will fail on 2025. With this commit it moved the expiration
    to 2027.

  [ Mattia Rizzolo ]
  * Update Debian suites, allow uploads to:
    + bullseye-backports-sloppy
    + trixie, trixie-proposed-updates, trixie-security
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Move some debhelper sequences from d/rules to d/control,
    for improved declarative packaging.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Sep 2023 18:08:33 +0530

dput-ng (1.36) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:  MR: !22
    + Build-Depends: Drop versioned constraint on bash-completion.
    + Remove 2 maintscript entries from 1 files.

  [ Bas Couwenberg ]
  * Add bookworm-backports MR: !25

  [ Gianfranco Costamagna ]
  * Team upload
  * Move from bionic (EOL) to jammy, to fix tests.
    MR: !26 Closes: #1042271

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Aug 2023 08:59:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  Paul Tagliamonte <paultag@debian.org>,
 Build-Depends:
  asciidoc,
- bash-completion (>= 1:2.1-4.2),
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-bash-completion,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  docbook-xml,
  docbook-xsl,
  docbook-xsl-ns,
@@ -25,10 +26,10 @@
  python3-setuptools,
  python3-sphinx,
  xsltproc,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dput-ng
-Vcs-Git: https://salsa.debian.org/debian/dput-ng.git -b bookworm
+Vcs-Git: https://salsa.debian.org/debian/dput-ng.git
 Homepage: https://debian.pages.debian.net/dput-ng
 
 Package: dput-ng

## dput-ng 1.38~bpo12+1

=== debian/changelog ===
dput-ng (1.38~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Update setup.py to ignore a backports suffix in the version.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 07 Feb 2024 19:30:31 +0100

dput-ng (1.38) unstable; urgency=medium

  [ Ben Hutchings ]
  * Add support for config in $XDG_CONFIG_HOME/dput (Closes: #1057147)
  * Add rsync upload method

  [ Helmut Grohne ]
  * Add a dcut migrate command meant to be used with LTS uploads.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 25 Jan 2024 14:32:29 +0100

## dput-ng 1.39

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-validictory
+jsonschema
 nose
 paramiko
 sphinx

=== debian/changelog ===
dput-ng (1.39) unstable; urgency=medium

  * Team upload.
  * Fix for Python3.12
    Closes: #1061454
  * Fix name ordering for sftp uploader (thanks for the patch to
    Michael Kuhn <suraia@ikkoku.de>)
    Closes: #815189

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 12:40:19 +0100

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
+ python3-xdg,
  xsltproc,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -47,6 +48,7 @@
 Suggests:
  dput-ng-doc,
  python3-twitter,
+ rsync,
 Description: next generation Debian package upload tool
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows
@@ -67,6 +69,7 @@
 Depends:
  gnupg,
  python3-debian,
+ python3-xdg,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## dput-ng 1.40

=== debian/changelog ===
dput-ng (1.40) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous dependency on python3-distutils (Closes: #1065852)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 22:44:40 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-coverage,
  python3-debian,
  python3-distro-info,
- python3-distutils,
  python3-jsonschema,
  python3-paramiko,
  python3-pytest,
@@ -47,7 +46,8 @@
  ${python3:Depends},
 Suggests:
  dput-ng-doc,
- python3-twitter,
+ python3-mastodon,
+ python3-tweepy,
  rsync,
 Description: next generation Debian package upload tool
  dput-ng is a Debian package upload tool which provides an easy to use

## dput-ng 1.41

=== debian/changelog ===
dput-ng (1.41) unstable; urgency=medium

  * Team upload.

  [ Ben Hutchings ]
  * rsync, scp: Fix username lookup (closes: #1065203).

  [ Helmut Grohne ]
  * dcut migrate: Relax version check.

  [ Alexandre Detiste ]
  * Remove Python 2 crumbs.

  [ Tianon Gravi ]
  * Add trailing newline to "ftp-master.json" after munging

 -- Colin Watson <cjwatson@debian.org>  Mon, 31 Mar 2025 16:52:00 +0100

## dput-ng 1.42

=== debian/changelog ===
dput-ng (1.42) unstable; urgency=medium

  * Remove dependency on current date from upload tests (closes: #1078613).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Apr 2025 10:36:27 +0100

## dput-ng 1.43~bpo12+1

=== debian/changelog ===
dput-ng (1.43~bpo12+1) bookworm-backports; urgency=medium

  [ Colin Watson ]
  * Rebuild for bookworm-backports.

  [ Helmut Grohne ]
  * Update setup.py to ignore a backports suffix in the version.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 May 2025 12:02:11 +0100

dput-ng (1.43) unstable; urgency=medium

  * Team upload.
  * Fix many ResourceWarnings.
  * Make the --override option actually work (closes: #983160).

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 15:27:35 +0100

=== tests/fake_package/fake-package-1.0/debian/changelog ===
fnord (1.0) jammy; urgency=low

  * Initial release (Closes: #691624) (LP: #12345)

 -- Winston Smith <wsmith@bigbrother.com>  Mon, 26 Nov 2012 17:41:41 +0100

## dput-ng 1.44

=== debian/changelog ===
dput-ng (1.44) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add trixie-backports and bookworm-backports-sloppy (closes: #1112107).

  [ Colin Watson ]
  * Add forky, forky-proposed-updates, and forky-security.
  * Remove jessie, jessie-proposed-updates, and jessie-security.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Sep 2025 13:30:57 +0100

=== tests/fake_package/fake-package-1.1/debian/changelog ===
fnord (1.1) jammy; urgency=medium

  * Do some maintenance..

 -- Winston Smith <wsmith@bigbrother.com>  Mon, 26 Nov 2012 17:41:41 +0100

=== debian/rules ===
#!/usr/bin/make -f

MANPAGES := $(patsubst docs/man/%.man, debian/man/%, $(wildcard docs/man/*.man))
VENDOR = $(shell dpkg-vendor --query vendor)
export PYBUILD_NAME = dput
export PYBUILD_BEFORE_TEST = cp -r {dir}/skel {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST = rm -r {build_dir}/skel {build_dir}/tests

%:
	dh $@ --buildsystem pybuild


override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./docs/_build ./*.egg-info ./build .coverage
	rm -f $(MANPAGES)
	rm -rf debian/man
	find . -name '__pycache__' -type d -delete


override_dh_auto_build:
	dh_auto_build
	make -C docs html


override_dh_install:
	dh_install
	debian/bin/adjust-vendor $(VENDOR)


debian/man:
	mkdir $@


$(MANPAGES): debian/man
	a2x --doctype manpage --format manpage -D $(dir $@) \
		$(patsubst debian/man/%, docs/man/%.man, $@)


override_dh_installman: $(MANPAGES)
	dh_installman --language=C


override_dh_installexamples:
	dh_installexamples examples/*

=== debian/tests/control ===
Test-Command: cp -rv setup.cfg skel tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && set -e ; for py in $(py3versions -s); do "$py" -m pytest -vv -l -r a ; done
Depends:
 build-essential,
 debhelper,
 python3-all,
 python3-coverage,
 python3-distro-info,
 python3-jsonschema,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== tests/fake_package/fake-package-1.0/debian/control ===
Source: fnord
Section: misc
Priority: optional
Maintainer: Winston Smith <wsmith@bigbrother.com>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: fnord
Depends: ${misc:Depends}
Architecture: all
Description: beard labore +1 chillwave esse pour-over sartorial
 organic sriracha et 3 wolf moon helvetica mixtape. Biodiesel master cleanse
 magna, seitan ea banh mi hoodie ullamco odio incididunt viral nisi bicycle
 rights hella laboris. Ut placeat artisan incididunt, high life YOLO odio.
 .
 Velit you probably haven't heard of them craft beer. Terry richardson
 quis kogi, nihil synth truffaut banjo consequat fixie. Street art cray
 lo-fi messenger bag mixtape gastropub, nulla cardigan mustache eu tousled
 keytar. Cillum hashtag nesciunt, fashion axe dolor ex selvage DIY meggings
 pug direct trade food truck small batch.

## dput-ng 1.44ubuntu1

=== debian/changelog ===
dput-ng (1.44ubuntu1) resolute; urgency=medium

  * d/control: demote debian-keyring to Suggests (LP #2138904).
  * setup.py: changes to make sure version string is PEP440 compliant.

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 22 Jan 2026 11:10:36 -0800

## dput-ng 1.44ubuntu2

=== debian/changelog ===
dput-ng (1.44ubuntu2) resolute; urgency=medium

  * hooks: include Ubuntu ESM in supported releases (LP: #2130565)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 03 Feb 2026 10:38:16 -0500

## dput-ng 1.44ubuntu3

=== debian/changelog ===
dput-ng (1.44ubuntu3) resolute; urgency=medium

  * dput/changes: add get_raw_changes() helper
  * dput-ng: do not install default profiles/metas to /etc/dput.d

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 12 Feb 2026 13:49:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dput-ng
 Section: devel
 Priority: optional
-Maintainer: dput-ng Maintainers <dput-ng@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: dput-ng Maintainers <dput-ng@packages.debian.org>
 Uploaders:
  Arno Töll <arno@debian.org>,
  Paul Tagliamonte <paultag@debian.org>,
@@ -73,12 +74,13 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- debian-keyring,
  lintian,
  openssh-client,
  python3-distro-info,
  python3-jsonschema,
  python3-paramiko,
+Suggests:
+ debian-keyring,
 Description: next generation Debian package upload tool (Python 3 library)
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows
